pub trait LimitPrecision {
    fn to_precision(self, presision: i32) -> Self;
}

impl LimitPrecision for f32 {
    fn to_precision(self, precision: i32) -> Self {
        (self * (10_f32).powi(precision)).round() / (10_f32).powi(precision)
    }
}
